KTextEditor::BlockSelectionDCOPInterface Class Reference

`#include <blockselectiondcopinterface.h>`

Inheritance diagram for KTextEditor::BlockSelectionDCOPInterface:

## Public Member Functions

| BlockSelectionDCOPInterface (BlockSelectionInterface *Parent, const char *name)
virtual | ~BlockSelectionDCOPInterface ()
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

This is the main interface to the BlockSelectionInterface of KTextEditor.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to BlockSelectionInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 18 of file blockselectiondcopinterface.h.

## Constructor & Destructor Documentation

BlockSelectionDCOPInterface::BlockSelectionDCOPInterface | ( | BlockSelectionInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent BlockSelectionInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 7 of file blockselectiondcopinterface.cpp.

BlockSelectionDCOPInterface::~BlockSelectionDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 13 of file blockselectiondcopinterface.cpp.

## Member Function Documentation

bool BlockSelectionDCOPInterface::blockSelectionMode | ( |  | ) |

Returns the status of the selection mode - true indicates block selection mode is on.

If this is true, selections applied via the SelectionInterface are handled as blockselections and the paste functions of the ClipboardInterface works on rectangular blocks of text rather than normal. (copy too, but thats clear I hope ;)

Definition at line 22 of file blockselectiondcopinterface.cpp.

bool BlockSelectionDCOPInterface::setBlockSelectionMode | ( | bool | on | ) |

set blockselection mode to state "on"

Definition at line 26 of file blockselectiondcopinterface.cpp.

bool BlockSelectionDCOPInterface::toggleBlockSelectionMode | ( |  | ) |

toggle blockseletion mode

Definition at line 30 of file blockselectiondcopinterface.cpp.

The documentation for this class was generated from the following files:

- blockselectiondcopinterface.h
- blockselectiondcopinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys